# Class FileUploadException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
org.apache.commons.fileupload2.core.FileUploadException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `FileItemInput.ItemSkippedException, FileUploadContentTypeException, FileUploadSizeException, MultipartInput.FileUploadBoundaryException, MultipartInput.MalformedStreamException`

public class FileUploadException extends IOException
Signals errors encountered while processing the request.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`FileUploadException(String message)`
Constructs an instance with a given detail message.
`FileUploadException(String message, Throwable cause)`
Constructs an instance with the given detail message and cause.

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FileUploadException

public FileUploadException(String message)
Constructs an instance with a given detail message.

Parameters:
  `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)

### FileUploadException

public FileUploadException(String message, Throwable cause)
Constructs an instance with the given detail message and cause.

Parameters:
  `message` - The detail message (which is saved for later retrieval by the `Throwable.getMessage()` method)
  `cause` - The cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A null value is permitted, and indicates that the cause is nonexistent or unknown.)